Instance failed to start

  • 67 Views
  • Last Post 23 May 2019
palace- posted this 23 May 2019

OS Name/Version: Debian / 9 (64bit)

Product Name/Version: AMP / 1.8.0.2

Problem Description: I installed AMP with the Quick Install command for Debian, the installation worked fine but now AMP can't start and it says "Failed to start AMP. Exit code was 1" So I checked the log and there it says my OS is outdated, but I'm pretty sure that my Debian is up2date.

[13:10:57] [Core Info] : Starting AMP version 1.8.0.2 (TITAN), built 22/05/2019 10:44 [13:10:57] [Core Info] : Release spec: Release - built by CUBECODERS/BuildBot on CCL-DEV [13:10:58] [Core Info] : Running in a OpenVZ environment. [13:10:58] [Core Warning] : Your OS is outdated. It is strongly recommended you upgrade to run AMP. [13:10:58] [Core Warning] : Your version: 2.6.32.42. [13:10:58] [Core Warning] : Linux Kernel 3.2 or newer is recommended. [13:10:58] [Core Warning] : Running on a legacy system. This setup is unsupported, run at your own risk! [13:10:58] [Core Info] : OS: Linux / x8664 [13:10:58] [Core Info] : CPU: Unknown CPU Model (0C/0T) [13:10:58] [Core Info] /home/AMP/.ampdata/instances/ADS01/AMPLogs/AMPLOG\ 2019-05-23\ 13-10-57.log

Steps to reproduce:

Actions taken to resolve so far: To be honest, nothing so far cuz I'm not sure what to do. I only checked my Debian version, ran the apt update/upgrade command.

Order By: Standard | Newest | Votes
Mike posted this 23 May 2019

Are you running inside a OpenVZ system?

palace- posted this 23 May 2019

Yes, it's a vServer running inside a OpenVZ system.

Mike posted this 23 May 2019

Can you run ampinstmgr lastlog ADS and see if the end of the log has anything to say?

palace- posted this 23 May 2019

Lastlog gives me this output:

[13:10:57] [Core Info] <c2><a0><c2><a0><c2><a0><c2><a0><c2><a0><c2><a0><c2><a0>
<c2><a0><c2><a0><c2><a0><c2><a0>: Starting AMP version 1.8.0.2 (TITAN), built 22/05/2019 10:44
[13:10:57] [Core Info] <c2><a0><c2><a0><c2><a0><c2><a0><c2><a0><c2><a0><c2><a0>
<c2><a0><c2><a0><c2><a0><c2><a0>: Release spec: Release - built by CUBECODERS/BuildBot on CCL-DEV
[13:10:58] [Core Info] <c2><a0><c2><a0><c2><a0><c2><a0><c2><a0><c2><a0><c2><a0>
<c2><a0><c2><a0><c2><a0><c2><a0>: Running in a OpenVZ environment.
[13:10:58] [Core Warning] <c2><a0><c2><a0><c2><a0><c2><a0><c2><a0><c2><a0><c2>
<a0><c2><a0>: Your OS is outdated. It is strongly recommended you upgrade to run AMP.
[13:10:58] [Core Warning] <c2><a0><c2><a0><c2><a0><c2><a0><c2><a0><c2><a0><c2>
<a0><c2><a0>: Your version: 2.6.32.42.
[13:10:58] [Core Warning] <c2><a0><c2><a0><c2><a0><c2><a0><c2><a0><c2><a0><c2>
<a0><c2><a0>: Linux Kernel 3.2 or newer is recommended.
[13:10:58] [Core Warning] <c2><a0><c2><a0><c2><a0><c2><a0><c2><a0><c2><a0><c2>
<a0><c2><a0>: Running on a legacy system. This setup is unsupported, run at your own risk!
[13:10:58] [Core Info] <c2><a0><c2><a0><c2><a0><c2><a0><c2><a0><c2><a0><c2><a0>
<c2><a0><c2><a0><c2><a0><c2><a0>: OS: Linux / x86_64
[13:10:58] [Core Info] <c2><a0><c2><a0><c2><a0><c2><a0><c2><a0><c2><a0><c2><a0>
<c2><a0><c2><a0><c2><a0><c2><a0>: CPU: Unknown CPU Model (0C/0T)
[13:10:58] [Core Info] <c2><a0><c2><a0><c2><a0><c2><a0><c2><a0><c2><a0><c2><a0>
/home/AMP/.ampdata/instances/ADS01/AMP_Logs/AMPLOG\ 2019-05-23\ 13-10-57.log

Is the reason maybe the older Linux kernel? Because 3.2 or newer is recommended and the Server has version 2.6.32.42.

Mike posted this 23 May 2019

Try putting the instance in debug mode ( https://github.com/cubecoders/amp/wiki/Diagnosing-AMP-issues ) but AMP may not like your particular vServer. I'd recommend getting one that's based on Xen or similar.

palace- posted this 23 May 2019

I tryed it on another vServer from an other provider with Debian 9 and it also didn't work, but then I reinstalled the Server with Ubuntu (because I didn't have anything on it) and now everything just works fine, tbh I'm not sure why it didn't work with Debian :D

Close